Subject: Re: bug#7383: 24.0.50; end-of-line style on remote files

From: Michael Albinus <[email-masked]>
Date: Thu, 28 Apr 2011 12:17:40 +0200

Dani Moncayo <[email-masked]> writes:

> Ping!
>
> Has anyone take a look at this bug report?

Oops, I've overlooked this. Thanks for the reminder.

> It seems that Emacs doesn't respect the end-of-line style when dealing
> with remote files.
>
> Try this:
> 1.- Start Emacs (emacs -Q)
> 2.- Open a remote file, which has DOS end-of-line style (<cr><lf>).
> 3.- Make a change to the file and save it.
> 4.- The modeline still says that the end-of-line style is DOS (char
> "\" on Windows version), but in fact it isn't. It has changed to UNIX
> style (<lf>).
>
> ...and even worse:
> 5.- M-x revert-buffer.
> 6.- The modeline keeps unchanged (like in step 4). In order to get the
> correct modeline flag, you have to kill the buffer and re-visit the
> file.

Your local Emacs runs on Windows XP. Which connection method do you use
to connect to the remote machine (plink? pscp?)?

Reading tramp-sh.el, Tramp seems to set eol conversion for the process
communication. For the transferred files, I couldn't see any eol
conversion settings in the code.

I'll continue to dig.

> TIA.

Best regards, Michael.